---
title: Read DaVinci SDK Token
description: The GET {{orchestratePath}}/company/{{envID}}/sdktoken endpoint returns a DaVinci SDK token, which is required for many /authorize and /start requests. The {{envID}} variable in the request URL is the DaVinci company ID.
component: pingone-api
page_id: pingone-api:auth:pingone-davinci/davinci-runtime-apis/dvflows/get-davinci-sdk-token
canonical_url: https://developer.pingidentity.com/pingone-api/auth/pingone-davinci/davinci-runtime-apis/dvflows/get-davinci-sdk-token.html
section_ids:
  headers: Headers
  example-request: Example Request
  example-response: Example Response
---

# Read DaVinci SDK Token

##

```none
GET {{orchestratePath}}/v1/company/{{envID}}/sdktoken
```

The `GET {{orchestratePath}}/company/{{envID}}/sdktoken` endpoint returns a DaVinci SDK token, which is required for many `/authorize` and `/start` requests. The `{{envID}}` variable in the request URL is the DaVinci company ID.

|   |                                                                                                                                                                            |
| - | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|   | This request uses an API Key to authenticate the request. The request takes an HTTP `X-SK-API-KEY` header and the value is set to the DaVinci application's API Key value. |

### Headers

Authorization      X-SK-API-KEY {{davinciApiKey}}

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff '{{orchestratePath}}/v1/company/{{envID}}/sdktoken'
```

```csharp
var options = new RestClientOptions("{{orchestratePath}}/v1/company/{{envID}}/sdktoken")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{orchestratePath}}/v1/company/{{envID}}/sdktoken"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
GET /v1/company/{{envID}}/sdktoken HTTP/1.1
Host: {{orchestratePath}}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{orchestratePath}}/v1/company/{{envID}}/sdktoken")
  .method("GET", body)
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{orchestratePath}}/v1/company/{{envID}}/sdktoken",
  "method": "GET",
  "timeout": 0,
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{orchestratePath}}/v1/company/{{envID}}/sdktoken',
  'headers': {
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests

url = "{{orchestratePath}}/v1/company/{{envID}}/sdktoken"

payload = {}
headers = {}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{orchestratePath}}/v1/company/{{envID}}/sdktoken');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "net/http"

url = URI("{{orchestratePath}}/v1/company/{{envID}}/sdktoken")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```swift
var request = URLRequest(url: URL(string: "{{orchestratePath}}/v1/company/{{envID}}/sdktoken")!,timeoutInterval: Double.infinity)
request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

200 OK

```json
{
    "capabilityName": "createTokens",
    "access_token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsImtpZCI6IkpoRkpRdVo4ZkdwTDkxQnNRMXM3d0ZSb0h3ZFpuNzBvNU10Q0o1U3B4blUifQ...",
    "token_type": "Bearer",
    "expires_in": 1800,
    "success": true
}
```
